curl
curl https://api.paybridgenp.com/v1/payments?limit=20 \
-H "Authorization: Bearer sk_test_your_key"const result = await paybridgenp.payments.list({ limit: 20 });
console.log(result.data); // array of Payment objects
console.log(result.meta.total); // total countimport requests
url = "https://api.paybridgenp.com/v1/payments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"data": [
{
"id": "pay_01j9x2k3m4n5p6q7r8s9t0u1v2",
"livemode": true,
"projectId": "<string>",
"checkoutSessionId": "cs_01j9x2k3m4n5p6q7r8s9t0u1v2",
"amount": 10000,
"currency": "NPR",
"providerRef": "<string>",
"failureReason": "<string>",
"metadata": {},
"customerName": "<string>",
"customerEmail": "<string>",
"customerPhone": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"total": 1,
"limit": 2,
"offset": 1
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}Payments
List payments
Returns a paginated list of payments for the project, ordered by most recent first.
GET
/
v1
/
payments
curl
curl https://api.paybridgenp.com/v1/payments?limit=20 \
-H "Authorization: Bearer sk_test_your_key"const result = await paybridgenp.payments.list({ limit: 20 });
console.log(result.data); // array of Payment objects
console.log(result.meta.total); // total countimport requests
url = "https://api.paybridgenp.com/v1/payments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"data": [
{
"id": "pay_01j9x2k3m4n5p6q7r8s9t0u1v2",
"livemode": true,
"projectId": "<string>",
"checkoutSessionId": "cs_01j9x2k3m4n5p6q7r8s9t0u1v2",
"amount": 10000,
"currency": "NPR",
"providerRef": "<string>",
"failureReason": "<string>",
"metadata": {},
"customerName": "<string>",
"customerEmail": "<string>",
"customerPhone": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"total": 1,
"limit": 2,
"offset": 1
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}Authorizations
Your PayBridgeNP API key. Obtain one from the dashboard under Settings → API Keys. Prefix: sk_test_ for testing, sk_live_ for production.
Query Parameters
Number of payments to return.
Required range:
1 <= x <= 100Number of payments to skip.
Required range:
x >= 0Was this page helpful?
⌘I